APIs / Hostelworld / Search

Hostelworld: Search

Search from Hostelworld as JSON. 1 credit per successful call.

GET /v1/hostelworld/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
city_idintegerRequiredAny
check_instringOptionalAny
nightsintegerOptionalAny
guestsintegerOptionalAny
currencystringOptionalAny
sortstringOptionalprice, -price, name, -name, rating, -rating, distance, -distance, rankscore, -rankscore
pageintegerOptionalAny
per_pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/hostelworld/search" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.